Bug 1129658 - [Doc Bug Fix] Missing attribute in RedHat JBoss Enterprise Application Platform 6 Development Guide(JBoss EAP 6)
Summary: [Doc Bug Fix] Missing attribute in RedHat JBoss Enterprise Application Platfo...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: TBD EAP 6
Assignee: Scott Mumford
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 12:33 UTC by Pankaj Degave
Modified: 2018-12-06 17:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-02 19:28:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Pankaj Degave 2014-08-13 12:33:34 UTC
Describe the issue:

Missing "<system>" attribute/property from the documentation in RedHat Developement guide[1]. 

Suggestions for improvement:

- `<system>` attribute is used with "jboss-deployment-descriptor.xml" & it add dependency on the system (or embedding) class loader. 
- In the documentation link [1] section [3.1.8. jboss-deployment-structure.xml]  There is no where defined what does this attibute do.However The detail meaning of all sub attribute/properties like this is actually defined in `xsd` of `jboss-deployment-structure` file which is placed in location of:  "JBoss_Home/docs/schema/jboss-deployment-structure-1_2.xsd"

eg :
~~~
a) "export" :

 <xsd:attribute name="export" type="xsd:boolean" use="optional" default="false">
            <annotation xmlns="http://www.w3.org/2001/XMLSchema">;
                <documentation>
                    Specifies whether this module dependency is re-exported by default (default is "false"). Setting
                    this attribute to true sets the default action for the export filter list to "accept"; leaving it
                    as false sets the default action to "reject". Thus you can still export dependency resources even
                    if this attribute is false by listing explicit paths for the export list.
                </documentation>
            </annotation>
        </xsd:attribute>

 b) "system"

  <xsd:element name="system" type="systemDependencyType">
                <annotation xmlns="http://www.w3.org/2001/XMLSchema">;
                    <documentation>
                        A dependency on the system (or embedding) class loader.
                    </documentation>
                </annotation>
            </xsd:element>

~~~
- So The actual requirement here is that In the documentation We should add some core/major in used attribute like above & for the rest attribute we can point the user to *xsd location.


 [1] https://access.redhat.com/documentation/en-US/JBoss_Enterprise_Application_Platform/6.2/html-single/Development_Guide/index.html#jboss-deployment-structurexml


Note You need to log in before you can comment on or make changes to this bug.